#include "change_directory.h"
#include <SDL3/SDL_platform.h>

#if SDL_PLATFORM_LINUX
#include <unistd.h>
#elif SDL_PLATFORM_WINDOWS
#include <direct.h>
#endif

void change_directory(const char *path) {
    #if SDL_PLATFORM_LINUX
    chdir(path);
    #elif SDL_PLATFORM_WINDOWS
    _chdir(path);
    #endif
}
